<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" th:href="@{/css/sidebar.css}">
    <link rel="stylesheet" th:href="@{/css/form-update-profile-data-pekerjaan-style.css}">

    <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">

    <title>Form Update Data Pekerjaan</title>
</head>
<body>
<div th:replace="fragments/fragment.html :: side-bar-dokter" />

<section class="content-sidebar-section">
    <div class="text"><a th:href="@{/dokter/dashboard/profil}" style="color: #000000">User Detail</a> <a th:href="@{/dokter/dashboard/profil/update}"><h2>/Update Profile</h2></a> <h3>/Job Information</h3></div>
    <br>
    <br>
    <form th:action="@{data-pekerjaan}" th:object="${user}" method="POST">
        <div class="card-update-data-pekerjaan">
            <div class="section-icon">
                <div class="suitcase-icon">
                    <svg width="126" height="126" viewBox="0 0 126 126" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <g filter="url(#filter0_d_562_8420)">
                            <circle cx="63" cy="59" r="59" fill="#F8F5EC"/>
                        </g>
                        <path d="M82.6176 87H42.3824C37.6882 87 34 83.0812 34 78.0938V49.5938C34 44.6063 37.6882 40.6875 42.3824 40.6875H82.6176C87.3118 40.6875 91 44.6063 91 49.5938V78.0938C91 83.0812 87.3118 87 82.6176 87ZM42.3824 44.25C39.7 44.25 37.3529 46.7438 37.3529 49.5938V78.0938C37.3529 80.9437 39.7 83.4375 42.3824 83.4375H82.6176C85.3 83.4375 87.6471 80.9437 87.6471 78.0938V49.5938C87.6471 46.7438 85.3 44.25 82.6176 44.25H42.3824Z" fill="#F67280"/>
                        <path d="M89.3233 58.5H35.6763V62.0625H89.3233V58.5Z" fill="#F67280"/>
                        <path d="M52.4411 65.625C51.4352 65.625 50.7646 64.9125 50.7646 63.8438V56.7188C50.7646 55.65 51.4352 54.9375 52.4411 54.9375C53.447 54.9375 54.1176 55.65 54.1176 56.7188V63.8438C54.1176 64.9125 53.447 65.625 52.4411 65.625Z" fill="#F67280"/>
                        <path d="M72.5588 65.625C71.5529 65.625 70.8823 64.9125 70.8823 63.8438V56.7188C70.8823 55.65 71.5529 54.9375 72.5588 54.9375C73.5647 54.9375 74.2353 55.65 74.2353 56.7188V63.8438C74.2353 64.9125 73.5647 65.625 72.5588 65.625Z" fill="#F67280"/>
                        <path d="M50.7646 42.4688V36.4125C50.7646 32.85 53.447 30 56.7999 30H68.5352C71.8882 30 74.5705 32.85 74.5705 36.4125V42.4688H71.2176V36.4125C71.2176 34.9875 70.2117 33.5625 68.5352 33.5625H56.7999C55.4588 33.5625 54.1176 34.6313 54.1176 36.4125V42.4688H50.7646Z" fill="#F67280"/>
                        <defs>
                            <filter id="filter0_d_562_8420" x="0" y="0" width="126" height="126" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
                                <feFlood flood-opacity="0" result="BackgroundImageFix"/>
                                <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>
                                <feOffset dy="4"/>
                                <feGaussianBlur stdDeviation="2"/>
                                <feComposite in2="hardAlpha" operator="out"/>
                                <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0"/>
                                <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow_562_8420"/>
                                <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow_562_8420" result="shape"/>
                            </filter>
                        </defs>
                    </svg>
                </div>
            </div>
            <div class="section-input-field">
                <div class="input-container">
                    <input type="hidden" th:field="${user.uuid}">
                    <div class="input-field">
                        <label for="spesialisasi">Specialization</label>
                        <select id="spesialisasi" th:field="*{spesialisasi}" class="dropdown" placeholder="Spesialisasi">
                            <option value="" disabled selected>Spesialisasi</option>
                            <option value="Anak">Anak</option>
                            <option value="Andrologi">Andrologi</option>
                            <option value="Anestesiologi dan Terapi Intensif">Anestesiologi dan Terapi Intensif</option>
                            <option value="Akupunktur Medik">Akupunktur Medik</option>
                            <option value="Bedah">Bedah</option>
                            <option value="Bedah Anak">Bedah Anak</option>
                            <option value="Bedah Plastik, Rekonstruksi, dan Estetik">Bedah Plastik, Rekonstruksi, dan Estetik</option>
                            <option value="Bedah Saraf">Bedah Saraf</option>
                            <option value="Bedah Toraks, Kardiak, dan Vaskular">Bedah Toraks, Kardiak, dan Vaskular</option>
                            <option value="Dermatologi dan Venereologi">Dermatologi dan Venereologi</option>
                            <option value="Emergency Medicine">Emergency Medicine</option>
                            <option value="Farmakologi Klinik">Farmakologi Klinik</option>
                            <option value="Forensik dan Medikolegal">Forensik dan Medikolegal</option>
                            <option value="Gizi Klinik">Gizi Klinik</option>
                            <option value="Jantung dan Pembuluh Darah">Jantung dan Pembuluh Darah</option>
                            <option value="Kedokteran Fisik dan Rehabilitasi">Kedokteran Fisik dan Rehabilitasi</option>
                            <option value="Kedokteran Jiwa">Kedokteran Jiwa</option>
                            <option value="Kedokteran Kelautan">Kedokteran Kelautan</option>
                            <option value="Kedokteran Keluarga Layanan Primer">Kedokteran Keluarga Layanan Primer</option>
                            <option value="Kedokteran Nuklir dan Teranostik Molekuler">Kedokteran Nuklir dan Teranostik Molekuler</option>
                            <option value="Kedokteran Okupasi">Kedokteran Okupasi</option>
                            <option value="Kedokteran Olahraga">Kedokteran Olahraga</option>
                            <option value="Kedokteran Penerbangan">Kedokteran Penerbangan</option>
                            <option value="Mikrobiologi Klinik">Mikrobiologi Klinik</option>
                            <option value="Neurologi">Neurologi</option>
                            <option value="Obstetri dan Ginekologi">Obstetri dan Ginekologi</option>
                            <option value="Oftalmologi">Oftalmologi</option>
                            <option value="Onkologi Radiasi">Onkologi Radiasi</option>
                            <option value="Orthopaedi dan Traumatologi">Orthopaedi dan Traumatologi</option>
                            <option value="Parasitologi Klinik">Parasitologi Klinik</option>
                            <option value="Patologi Anatomi">Patologi Anatomi</option>
                            <option value="Patologi Klinik">Patologi Klinik</option>
                            <option value="Penyakit Dalam">Penyakit Dalam</option>
                            <option value="Pulmonologi dan Kedokteran Respirasi">Pulmonologi dan Kedokteran Respirasi</option>
                            <option value="Radiologi">Radiologi</option>
                            <option value="Telinga Hidung Tenggorok Bedah Kepala Leher">Telinga Hidung Tenggorok Bedah Kepala Leher</option>
                            <option value="Urologi">Urologi</option>
                        </select>
                    </div>
                    <div class="input-field">
                        <label for="institusi">Institution</label>
                        <input style="margin-bottom: 0" th:field="*{institusi}" type="text" class="input" id="institusi" placeholder="Tempat Bekerja">
                    </div>
                    <div class="input-field">
                        <label for="kotaKabupaten">City</label>
                        <input style="margin-bottom: 0" th:field="*{kotaKabupaten}" type="text" class="input" id="kotaKabupaten" placeholder="Kota/Kabupaten">
                    </div>
                </div>
            </div>
            <div class="section-button">
                <div class="save-button">
                    <button type="submit" id="button-save" class="button-primary mx-auto d-block">Save</button>
                </div>
                <div class="return-button">
                    <a class="button-secondary" th:href="@{/dokter/dashboard/profil}">Back</a>
                </div>
            </div>
        </div>
    </form>
    <!-- Modal Successful Message -->
    <div class="bg-modal">
        <div class="form-modal-content">
            <div class="card-modal">
                <div class="header-modal">
                    <div class="close">
                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M19.5304 5.53033C19.8232 5.23744 19.8232 4.76256 19.5304 4.46967C19.2375 4.17678 18.7626 4.17678 18.4697 4.46967L12 10.9394L5.53033 4.46967C5.23744 4.17678 4.76256 4.17678 4.46967 4.46967C4.17678 4.76257 4.17678 5.23744 4.46967 5.53033L10.9394 12L4.4697 18.4697C4.1768 18.7626 4.1768 19.2374 4.4697 19.5303C4.76259 19.8232 5.23746 19.8232 5.53036 19.5303L12 13.0607L18.4697 19.5303C18.7626 19.8232 19.2374 19.8232 19.5303 19.5303C19.8232 19.2374 19.8232 18.7626 19.5303 18.4697L13.0607 12L19.5304 5.53033Z" fill="#1D3557"/>
                        </svg>
                    </div>
                </div>
                <div class="icon-modal">
                    <svg width="81" height="81" viewBox="0 0 81 81" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M77.9999 44.9653C75 59.9801 63.6907 74.1179 47.8216 77.277C40.082 78.82 32.0534 77.8792 24.879 74.5888C17.7046 71.2983 11.7501 65.8258 7.86336 58.9506C3.97663 52.0753 2.35583 44.1478 3.23172 36.2968C4.10762 28.4458 7.43557 21.0716 12.7417 15.2241C23.6251 3.22432 42.002 -0.0789206 57.0011 5.92698" stroke="#20AE5C" stroke-width="6" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M27.0029 38.9591L42.002 53.9739L77.9999 14.9355" stroke="#20AE5C" stroke-width="6" stroke-linecap="round" stroke-linejoin="round"/>
                    </svg>
                </div>
                <div class="text-column-modal">
                    <div class="success-message">
                        <p>Berhasil!</p>
                    </div>
                    <div class="detail-message">
                        <p>Data pekerjaan Anda telah berubah.</p>
                    </div>
                    <div class="success-message-desc">
                        <p>Anda dapat melihat perubahan data pekerjaan Anda pada halaman Detail User.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!");
        console.log(sidebar.classList);
        menuBtnChange();
    });

    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
        }
    }
</script>
<script>
    document.getElementById('button-save').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'flex';
    });
</script>
<script>
    document.querySelector('.close').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'none';
    });
</script>
</body>
</html>